﻿using UnityEngine;
using System.Collections;
using UnityEngine.UI;

public class ToolbarBuildButtons : MonoBehaviour {

	// Use this for initialization
	void Start () {

        MouseManager mouseManager = GameObject.FindObjectOfType<MouseManager>();
	
        // Populate our button list

        for (int i = 0; i < ShipPartPrefabs.Length; i++)
        {
            GameObject shipPart = ShipPartPrefabs[i];

            GameObject buttonGameObject = (GameObject)Instantiate(BuildButtonPrefab, this.transform);
            Text buttonLabel = buttonGameObject.GetComponentInChildren<Text>();
            buttonLabel.text = shipPart.name;

            Button theButton = buttonGameObject.GetComponent<Button>();


            theButton.onClick.AddListener( () => { mouseManager.ThePrefabToSpawn = shipPart; } );
        }

	}

    public GameObject BuildButtonPrefab;
    public GameObject[] ShipPartPrefabs;
	
	// Update is called once per frame
	void Update () {
	
	}
}
